<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payment_orders', function (Blueprint $table) {
            $table->id();
            $table->string('number')->nullable();
            $table->string('money_amount')->nullable();
            $table->string('payment_reason_number')->nullable();
            $table->text('payment_reason_description')->nullable();
            $table->string('bank_code')->nullable();

            $table->string('t_name')->nullable();
            $table->string('t_ssb')->nullable();
            $table->string('t_bab')->nullable();
            $table->string('t_bank')->nullable();
            $table->string('t_hb_1')->nullable();
            $table->string('t_hb_2')->nullable();

            $table->string('a_name')->nullable();
            $table->string('a_ssb')->nullable();
            $table->string('a_bab')->nullable();
            $table->string('a_bank')->nullable();
            $table->string('a_hb_1')->nullable();
            $table->string('a_hb_2')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payment_orders');
    }
};
